Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jms
Class TopicConnection

    java.lang.Object
      org.jboss.seam.jms.TopicConnection

    @Scope(value=APPLICATION)
    @Intercept(value=NEVER)
    @Name(value="org.jboss.seam.jms.topicConnection")
    @Install(precedence=0,
             genericDependencies=ManagedTopicPublisher.class)
    public class TopicConnection

extends Object

Manager for a JMS TopicConnection. By default, JBoss MQ.

Author:
  Gavin King

Constructor Summary
`TopicConnection()`

Method Summary
`void` | `destroy()`
`javax.jms.TopicConnection` | `getTopicConnection()`
`String` | `getTopicConnectionFactoryJndiName()` The JNDI name of the TopicConnectionFactory
`void` | `init()`
`static javax.jms.TopicConnection` | `instance()`
`void` | `setTopicConnectionFactoryJndiName(String jndiName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TopicConnection

    public TopicConnection()

Method Detail

### getTopicConnectionFactoryJndiName

    public String getTopicConnectionFactoryJndiName()

  The JNDI name of the TopicConnectionFactory

### setTopicConnectionFactoryJndiName

    public void setTopicConnectionFactoryJndiName(String jndiName)

### init

    @Create
    public void init()
              throws NamingException,
                     javax.jms.JMSException

  Throws:
    `NamingException`
    `javax.jms.JMSException`

### destroy

    @Destroy
    public void destroy()
                 throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### getTopicConnection

    @Unwrap
    public javax.jms.TopicConnection getTopicConnection()

### instance

    public static javax.jms.TopicConnection instance()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD